Upgrading php-GD for Debian / Ubuntu

Discussion in 'Tips/Tricks/Mods' started by noaptus, Dec 20, 2009.

  1. noaptus

    noaptus New Member HowtoForge Supporter

    Hi.

    I have bin trying to update php-gd to 2.0.34 for a long time. Browsing and browsing
    the internet to find a solution to solw my problem.

    Finally i did find the answer to update php-GD on my Debian server.

    Her is a HowTo.


    Same issue here with Ubuntu Server 8.04.1 and PHP5. The following worked for me. It will install a GD pre-compiled
    working version. It is a complete bundled (forked) GD libraries:


    If not already done removing your current GD package and its configurations.

    Code:
    sudo apt-get --purge remove
    Or

    Code:
    apt-get remove php-gd

    Adding 2 lines to your file /etc/apt/sources.lst

    Code:
    deb http://packages.dotdeb.org stable all
    deb-src http://packages.dotdeb.org stable all

    Updating your current apt-get list

    Code:
    apt-get update

    Installing working GD package.

    Code:
    apt-get install php5-gd
    It will complain about non-authenticated sources, just ignore, it will also update some additional php libs.

    When prompt select keep_current modified php.ini

    5. Restarting Apache

    Code:
    /etc/init.d/apache2 restart
    Enjoy

    Source: http://drupal.org/node/134331#comment-983886


    Noaptus

    EDIT :

    NOTE : Please comment out #deb http://packages.dotdeb.org stable all #deb-src http://packages.dotdeb.org stable all after you update the GD. If not your server is F***T..
     
    Last edited: Jun 28, 2010

Share This Page